#### D.9.3.1 plot

Procedure from library `surf.lib` (see surf_lib).

Usage:
  plot(I); I ideal or poly

Assume:
  I defines a plane curve or a surface given by one equation

Return:
  nothing

Note:
  requires the external program `surf` to be installed,
  to close the graphical interface just press `Q`

Example:

    LIB "surf.lib";
    // ---------  plane curves ------------
    ring rr0 = 0,(x1,x2),dp;
    ideal I = x1^3 - x2^2;
    plot(I);
    ring rr1 = 0,(x,y,z),dp;
    ideal I(1) = 2x2-1/2x3 +1-y+1;
    plot(I(1));
    //  ---- Singular Logo --------------
    poly logo = ((x+3)^3 + 2*(x+3)^2 - y^2)*(x^3 - y^2)*((x-3)^3-2*(x-3)^2-y^2);
    plot(logo);
    // Steiner surface
    ideal J(2) = x^2*y^2+x^2*z^2+y^2*z^2-17*x*y*z;
    plot(J(2));
    // --------------------
    plot(x*(x2-y2)+z2);
    // E7
    plot(x^3-x*y^3+z^2);
    // Whitney umbrella
    plot(z^2-x^2*y);

User manual for Singular version 4.4.1, 2025, generated by texi2html.